Bug 740992 - sane-backends-drivers-*.i686 is missing from x86_64
Summary: sane-backends-drivers-*.i686 is missing from x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sane-backends
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-24 08:45 UTC by Hans de Goede
Modified: 2011-10-25 03:28 UTC (History)
2 users (show)

Fixed In Version: sane-backends-1.0.22-5.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-25 03:28:03 UTC


Attachments (Terms of Use)

Description Hans de Goede 2011-09-24 08:45:12 UTC
See $summary, this means that using scanners won't work from 32 bit apps.

This also causes problems with yum transactions, since now the old obsolete sane-backends-drivers-* for i686 stays part of the transaction as there are no packages obsoleting it (for as long as the new sane-backends is in updates testing, after that this part of the problem should go away).

Comment 1 Nils Philippsen 2011-10-05 12:53:43 UTC
Thanks, I'll let rel-eng know to mark these as multiarch.

Comment 2 Nils Philippsen 2011-10-05 12:56:45 UTC
https://fedorahosted.org/rel-eng/ticket/4944

Comment 3 Nils Philippsen 2011-10-10 13:50:20 UTC
As marking individual packages/files as multilib is harder than I previously though, I'll let -devel depend on these subpackages in F-16 and earlier which should have the same effect for composes.

Comment 4 Fedora Update System 2011-10-11 14:49:13 UTC
sane-backends-1.0.22-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sane-backends-1.0.22-5.fc16

Comment 5 Fedora Update System 2011-10-11 14:49:30 UTC
sane-backends-1.0.22-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/sane-backends-1.0.22-5.fc15

Comment 6 Fedora Update System 2011-10-11 14:49:30 UTC
sane-backends-1.0.22-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/sane-backends-1.0.22-5.fc14

Comment 7 Fedora Update System 2011-10-13 18:13:29 UTC
Package sane-backends-1.0.22-5.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sane-backends-1.0.22-5.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14280
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-10-24 22:55:39 UTC
sane-backends-1.0.22-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-10-24 22:56:32 UTC
sane-backends-1.0.22-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-10-25 03:28:03 UTC
sane-backends-1.0.22-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.